"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var Koa = require("koa");
var tsioc_1 = require("tsioc");
var util_1 = require("../util");
var http = require("http");
// import * as http2 from 'http2';
var https = require("https");
/**
 * Application of type mvc.
 *
 * @export
 * @class Application
 * @extends {Koa}
 */
var Application = /** @class */ (function () {
    function Application() {
    }
    Application.prototype.getKoa = function () {
        if (!this.koa) {
            this.koa = new Koa();
        }
        return this.koa;
    };
    Application.prototype.getServer = function () {
        if (!this.server) {
            var cfg = this.container.get(util_1.mvcSymbols.IConfiguration);
            if (cfg.httpsOptions) {
                this.server = https.createServer(cfg.httpsOptions, this.koa.callback);
            }
            else {
                this.server = http.createServer(this.koa.callback());
            }
        }
        return this.server;
    };
    Application.prototype.use = function (middleware) {
        this.getKoa().use(middleware);
    };
    __decorate([
        tsioc_1.Inject(tsioc_1.symbols.IContainer),
        __metadata("design:type", Object)
    ], Application.prototype, "container", void 0);
    Application = __decorate([
        tsioc_1.Singleton,
        __metadata("design:paramtypes", [])
    ], Application);
    return Application;
}());
exports.Application = Application;

//# sourceMappingURL=../sourcemaps/core/Application.js.map
