"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tsioc_1 = require("tsioc");
/**
 * Controller decorator and metadata.
 *
 * @Controller
 */
exports.Controller = tsioc_1.createClassDecorator('Controller', function (args) {
    args.next({
        isMetadata: function (arg) { return tsioc_1.isClassMetadata(arg, ['routePrefix']); },
        match: function (arg) { return tsioc_1.isString(arg); },
        setMetadata: function (metadata, arg) {
            metadata.routePrefix = arg;
        }
    });
});

//# sourceMappingURL=../../sourcemaps/core/decorators/Controller.js.map
