"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tsioc_1 = require("tsioc");
exports.Logger = tsioc_1.createClassMethodDecorator('Logger', function (adapter) {
    adapter.next({
        isMetadata: function (arg) { return tsioc_1.isClassMetadata(arg, ['logname']); },
        match: function (arg) { return tsioc_1.isString(arg); },
        setMetadata: function (metadata, arg) {
            metadata.logname = arg;
        }
    });
    adapter.next({
        match: function (arg) { return tsioc_1.isFunction(arg); },
        setMetadata: function (metadata, arg) {
            metadata.express = arg;
        }
    });
});

//# sourceMappingURL=../../sourcemaps/core/decorators/Logger.js.map
