"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var tsioc_1 = require("tsioc");
var decorators_1 = require("../decorators");
var Application_1 = require("../Application");
var util_1 = require("../../util");
var Configuration_1 = require("../../Configuration");
var serve = require('koa-static');
var DefaultContentMiddleware = /** @class */ (function () {
    function DefaultContentMiddleware(app, config) {
        this.app = app;
        this.config = config;
    }
    DefaultContentMiddleware.prototype.setup = function () {
        var _this = this;
        var contents = this.config.contents || ['./public'];
        contents.forEach(function (content, idx) {
            var staticPath = tsioc_1.toAbsolutePath(_this.config.rootdir, content);
            console.log("content path " + (idx + 1) + ":", staticPath);
            _this.app.use(serve(staticPath));
        });
    };
    DefaultContentMiddleware = __decorate([
        decorators_1.Middleware(util_1.mvcSymbols.ContentMiddleware),
        __metadata("design:paramtypes", [Application_1.Application, Configuration_1.Configuration])
    ], DefaultContentMiddleware);
    return DefaultContentMiddleware;
}());
exports.DefaultContentMiddleware = DefaultContentMiddleware;

//# sourceMappingURL=../../sourcemaps/core/middlewares/DefaultContentMiddleware.js.map
