import { ILoggerManger } from './ILoggerManger';
import { ILogger } from './ILogger';
export declare class ConsoleLogManager implements ILoggerManger {
    private logger;
    constructor();
    configure(config: any): void;
    getLogger(name?: string): ILogger;
}
export declare class ConsoleLog implements ILogger {
    level: string;
    log(...args: any[]): void;
    trace(message: string, ...args: any[]): void;
    debug(message: string, ...args: any[]): void;
    info(message: string, ...args: any[]): void;
    warn(message: string, ...args: any[]): void;
    error(message: string, ...args: any[]): void;
    fatal(message: string, ...args: any[]): void;
}
