import { IContainer, Joinpoint } from 'tsioc';
import { IConfiguration } from '../Configuration';
import { ILogger } from '../logs/index';
import { LoggerMetadata } from '../core/decorators/index';
export declare class AnnotationLogerAspect {
    private container;
    private config;
    private logger;
    private logManger;
    constructor(container: IContainer, config: IConfiguration);
    log(joinPoint: Joinpoint, annotation: LoggerMetadata[]): void;
    dolog(logger: ILogger, joinPoint: Joinpoint): void;
}
