import { TypeMetadata, IClassMethodDecorator, ClassMethodDecorator } from 'tsioc';
export interface AuthorizationMetadata extends TypeMetadata {
    role?: string;
}
export interface IAuthorizationDecorator<T extends AuthorizationMetadata> extends IClassMethodDecorator<T> {
    (role?: string): ClassMethodDecorator;
}
export declare const Authorization: IAuthorizationDecorator<AuthorizationMetadata>;
