"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tsioc_1 = require("tsioc");
exports.Authorization = tsioc_1.createClassMethodDecorator('Authorization', function (adapter) {
    adapter.next({
        isMetadata: function (arg) { return tsioc_1.isClassMetadata(arg, ['role']); },
        match: function (arg) { return tsioc_1.isString(arg); },
        setMetadata: function (metadata, arg) {
            metadata.role = arg;
        }
    });
});

//# sourceMappingURL=../../sourcemaps/core/decorators/Authorization.js.map
