import { TypeMetadata, IClassMethodDecorator, ClassMethodDecorator, Express } from 'tsioc';
export interface LoggerMetadata extends TypeMetadata {
    logname?: string;
    express?: Express<any, boolean>;
}
export interface ILoggerMetadata<T extends LoggerMetadata> extends IClassMethodDecorator<T> {
    (logname?: string, express?: Express<any, boolean>): ClassMethodDecorator;
}
export declare const Logger: ILoggerMetadata<LoggerMetadata>;
