"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var tsioc_1 = require("tsioc");
var Log4jsAdapter = /** @class */ (function () {
    function Log4jsAdapter() {
        this.log4js = require('log4js');
    }
    Log4jsAdapter.prototype.configure = function (config) {
        this.log4js.configure(config);
    };
    Log4jsAdapter.prototype.getLogger = function (name) {
        return this.log4js.getLogger(name);
    };
    Log4jsAdapter = __decorate([
        tsioc_1.NonePointcut,
        tsioc_1.Singleton,
        tsioc_1.Injectable('log4js'),
        __metadata("design:paramtypes", [])
    ], Log4jsAdapter);
    return Log4jsAdapter;
}());
exports.Log4jsAdapter = Log4jsAdapter;

//# sourceMappingURL=../sourcemaps/logs/Log4jsAdapter.js.map
